# First page
curl "https://api.infinipost.co/v1/media/sounds?limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"
# Next page
curl "https://api.infinipost.co/v1/media/sounds?limit=20&cursor=c291bmRfYWJjMTIz" \
-H "Authorization: Bearer YOUR_API_KEY"
// First page
const response = await fetch('https://api.infinipost.co/v1/media/sounds?limit=20', {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const data = await response.json();
// Next page
if (data.hasMore) {
const nextResponse = await fetch(`https://api.infinipost.co/v1/media/sounds?limit=20&cursor=${data.nextCursor}`, {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
}
import requests
# First page
response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20}
)
data = response.json()
# Next page
if data['hasMore']:
next_response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20, 'cursor': data['nextCursor']}
)
{
"sounds": [
{
"soundId": "sound_abc123",
"name": "Viral Beat 2024",
"url": "https://storage.googleapis.com/.../audio.mp3",
"duration": 45.2,
"createdAt": "2024-04-21T20:30:00Z"
},
{
"soundId": "sound_def456",
"name": "Trending Sound",
"url": "https://storage.googleapis.com/.../trending.mp3",
"duration": 30.5,
"createdAt": "2024-04-20T15:00:00Z"
}
],
"hasMore": true,
"nextCursor": "c291bmRfYWJjMTIz"
}
Media
List Sounds
Retrieve all uploaded sounds for your account
GET
/
v1
/
media
/
sounds
# First page
curl "https://api.infinipost.co/v1/media/sounds?limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"
# Next page
curl "https://api.infinipost.co/v1/media/sounds?limit=20&cursor=c291bmRfYWJjMTIz" \
-H "Authorization: Bearer YOUR_API_KEY"
// First page
const response = await fetch('https://api.infinipost.co/v1/media/sounds?limit=20', {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const data = await response.json();
// Next page
if (data.hasMore) {
const nextResponse = await fetch(`https://api.infinipost.co/v1/media/sounds?limit=20&cursor=${data.nextCursor}`, {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
}
import requests
# First page
response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20}
)
data = response.json()
# Next page
if data['hasMore']:
next_response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20, 'cursor': data['nextCursor']}
)
{
"sounds": [
{
"soundId": "sound_abc123",
"name": "Viral Beat 2024",
"url": "https://storage.googleapis.com/.../audio.mp3",
"duration": 45.2,
"createdAt": "2024-04-21T20:30:00Z"
},
{
"soundId": "sound_def456",
"name": "Trending Sound",
"url": "https://storage.googleapis.com/.../trending.mp3",
"duration": 30.5,
"createdAt": "2024-04-20T15:00:00Z"
}
],
"hasMore": true,
"nextCursor": "c291bmRfYWJjMTIz"
}
Query Parameters
number
default:"50"
Number of sounds to return (max 100).
string
Cursor for pagination. Pass the
nextCursor value from the previous response to get the next page. Omit for the first page.Response
array
boolean
Whether there are more sounds beyond this page.
string
Cursor to pass as the
cursor query parameter to retrieve the next page. null when there are no more pages.# First page
curl "https://api.infinipost.co/v1/media/sounds?limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"
# Next page
curl "https://api.infinipost.co/v1/media/sounds?limit=20&cursor=c291bmRfYWJjMTIz" \
-H "Authorization: Bearer YOUR_API_KEY"
// First page
const response = await fetch('https://api.infinipost.co/v1/media/sounds?limit=20', {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
const data = await response.json();
// Next page
if (data.hasMore) {
const nextResponse = await fetch(`https://api.infinipost.co/v1/media/sounds?limit=20&cursor=${data.nextCursor}`, {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
});
}
import requests
# First page
response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20}
)
data = response.json()
# Next page
if data['hasMore']:
next_response = requests.get(
'https://api.infinipost.co/v1/media/sounds',
headers={'Authorization': 'Bearer YOUR_API_KEY'},
params={'limit': 20, 'cursor': data['nextCursor']}
)
{
"sounds": [
{
"soundId": "sound_abc123",
"name": "Viral Beat 2024",
"url": "https://storage.googleapis.com/.../audio.mp3",
"duration": 45.2,
"createdAt": "2024-04-21T20:30:00Z"
},
{
"soundId": "sound_def456",
"name": "Trending Sound",
"url": "https://storage.googleapis.com/.../trending.mp3",
"duration": 30.5,
"createdAt": "2024-04-20T15:00:00Z"
}
],
"hasMore": true,
"nextCursor": "c291bmRfYWJjMTIz"
}
Error Responses
Unauthorized
{
"error": {
"code": "unauthenticated",
"message": "Invalid or missing API key"
}
}
Invalid Cursor
{
"error": {
"code": "invalid_parameter",
"message": "Invalid cursor"
}
}
Server Error
{
"error": {
"code": "internal",
"message": "An unexpected error occurred"
}
}
⌘I